select_edges_by_edge_id {DiagrammeR} | R Documentation

## Select edges in a graph using edge ID values

### Description

Select edges in a graph object of class `dgr_graph` using edge ID values.

### Usage

    select_edges_by_edge_id(graph, edges, set_op = "union")

### Arguments

`graph` | a graph object of class `dgr_graph`.
`edges` | a vector of edge IDs for the selection of edges present in the graph.
`set_op` | the set operation to perform upon consecutive selections of graph edges This can either be as a `union` (the default), as an intersection of selections with `intersect`, or, as a `difference` on the previous selection, if it exists.

### Value

a graph object of class `dgr_graph`.

### Examples

    # Create a graph with 5 nodes
    graph <-
      create_graph() %>%
      add_path(n = 5)

    # Create a graph selection by selecting
    # edges with edge IDs `1` and `2`
    graph <-
      graph %>%
      select_edges_by_edge_id(
        edges = 1:2)

    # Get the selection of edges
    graph %>%
      get_selection()
    #> [1] 1 2

    # Perform another selection of edges,
    # with edge IDs `1`, `2`, and `4`
    graph <-
      graph %>%
      clear_selection() %>%
      select_edges_by_edge_id(
        edges = c(1, 2, 4))

    # Get the selection of edges
    graph %>%
      get_selection()
    #> [1] 1 2 4

    # Get the fraction of edges selected
    # over all the edges in the graph
    graph %>%
    {
      l <- get_selection(.) %>%
        length(.)
      e <- edge_count(.)
      l/e
    }
    #> [1] 0.75

[Package DiagrammeR version 0.9.2 Index]